<div class="pusher">
  <div class="ui inverted vertical masthead center aligned segment">
    <div class="ui container">
      <div class="ui large secondary inverted pointing menu">
        <a class="item" routerLink="/">Home</a>
        <a class="item" routerLink="/search-books">Search</a>

        <a
          class="item"
          routerLink="/user-list"
          *ngIf="user !== null && isLibrarian"
        >
          User list</a
        >
        <a class="item" routerLink="/add-book" *ngIf="user !== null && isLibrarian">
          Add book</a
        >
        <div class="right item">
          <a
            class="ui inverted button"
            routerLink="/login-page"
            *ngIf="user === null"
            >Log in</a
          >
          <a
            class="ui inverted button"
            routerLink="/signup-page"
            *ngIf="user === null"
            >Sign Up</a
          >

          <a class="ui inverted button" routerLink="/profile-page" *ngIf="user !== null"
            > {{ user.username }}</a
          >
          <a
            class="ui  button"
            routerLink="/"
            *ngIf="user !== null"
            (click)="logout()"
            style="margin-left: 5%;"
            >Logout</a
          >
        </div>
      </div>
    </div>
    <div class="ui text container">
      <h1 class="ui inverted header"><span>Library</span></h1>
      <br />
      <br />
      <br />
      <button class="ui huge primary button" (click)="scroll()">
        Focus content <i class="right arrow icon"></i>
      </button>
    </div>
  </div>
  <div class="ui vertical stripe segment">
    <div class="ui middle aligned container" id="mainContent">
      <router-outlet></router-outlet>
    </div>
  </div>

  <div class="ui inverted vertical footer segment">
    <div class="ui container">
      <div class="ui stackable inverted divided equal height stackable grid">
        <div class="column">
          <h4 class="ui inverted centered header">
            "Nothing is pleasanter than exploring a library."
          </h4>
          <p style="text-align: center">
            Walter Savage Landor (1775-1864. English writer and poet)
          </p>
        </div>
      </div>
    </div>
  </div>
</div>
